/api/payment/payviarule
get
Get rules for a specific payvia type (legacy)
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
payvia_type_idintegerRequired
rule_typeanyOptional
Responses
200
success
successbooleanOptionalExample:
trueget/api/payment/payviarule
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'payvia_type_id' => 11,
'rule_type' => 'enabled'
);
$request = array(
'method' => 'GET',
'path' => 'payment/payviarule',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"payvia_rules": [
{
"payvia_type_id": "11",
"rule_type": "1",
"identid": "8",
"start_time": "1565382567",
"end_time": "1907294400",
"start_nice": "2019-08-09 16:29:27",
"end_nice": "2030-06-10 00:00:00",
"rule_status": 1,
"advanced": 1,
"override_identifier_id": [
"8"
],
"ruleid": "1565382567:1907294400:1",
"rule_type_nice": "ENABLE",
"login": [
{
"id": 0,
"name": "ALL"
}
],
"country": [
{
"id": "EU",
"name": "Europe *"
}
]
}
]
}patch
Create/Modify rules for payvia types
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
loginidanyRequired
actionanyRequired
typeanyRequired
payvia_rule_idanyOptionalDefault:
0payvia_type_idanyOptionalDefault:
0countryanyOptional
start_timeanyOptionalDefault:
0end_timeanyOptionalDefault:
0Responses
200
success
successbooleanOptionalExample:
truepatch/api/payment/payviarule
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'loginid' => 1,
'action' => 'add',
'type' => 'enabled',
'payvia_type_id' => 4,
'payvia_rule_id' => 3
);
$request = array(
'method' => 'PATCH',
'path' => 'payment/payviarule',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"result": "TRUE",
"params": {
"payviaid": 4,
"rule_type": 1,
"login": [
"productsupport"
],
"end_time": "NEVER",
"payvia_rule_id": 3
}
}Last updated
Was this helpful?